"""Sell bot"""


from rival_regions_wrapper import util
from rival_regions_wrapper.wrapper import Storage

from rival_regions_marketbot import RR_WRAPPER, PROFILE_ID, wrapper

MARKET_MAX = {
    "helium-3": 153600,
    "liquid_oxygen": 38400000,
    "oil": 614400000,
    "ore": 614400000,
    "uranium": 15360000,
    "diamonds": 153600,
    "rivalium": 614400,
    "antirad": 76800,
    "spacerockets": 3840,
    "lss": 15360000,
    "tanks": 4388571,
    "aircrafts": 640000,
    "missiles": 256000,
    "bombers": 128000,
    "battleships": 128000,
    "laser_drones": 256000,
    "moon_tanks": 12800,
    "space_stations": 1280,
}


def sell(item, minimum_price):
    if minimum_price >= 500000000:
        return
    market = wrapper.Market(RR_WRAPPER)
    first_offer = market.first_offer(item)
    if first_offer["profile_id"] != PROFILE_ID:
        # op_markt = market.offer_by(item, PROFILE_ID)
        # totaal = Storage(RR_WRAPPER).info()[item]
        # totaal = opslag + op_markt
        totaal = min(Storage(RR_WRAPPER).info()[item], MARKET_MAX[item])
        price = max(minimum_price, (first_offer["price"] * 100 - 10) / 100)
        # if totaal == op_markt and own_price == minimum_price:
        if totaal != 0:
            item = util.ITEM_KEYS[item]
            RR_WRAPPER.post("storage/sell/{}".format(item))
            RR_WRAPPER.post(
                "storage/newsell/{}/{}/{}".format(item, totaal, price)
            )


def buy(item, maximum_price):
    """Buy item based on maximum price"""
    if maximum_price <= 1:
        return
    market = wrapper.Market(RR_WRAPPER)
    offer = market.first_offer(item)
    if offer["price"] <= maximum_price:
        market.buy(offer)
